Skip to main content
GET
/
auth
/
failed-logins
Get Failed Login Attempts
curl --request GET \
  --url https://www.corgea.app/api/v1/auth/failed-logins \
  --header 'CORGEA-TOKEN: <api-key>'
import requests

url = "https://www.corgea.app/api/v1/auth/failed-logins"

headers = {"CORGEA-TOKEN": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'CORGEA-TOKEN': '<api-key>'}};

fetch('https://www.corgea.app/api/v1/auth/failed-logins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "ok",
  "page": 123,
  "total_pages": 123,
  "total_failed_logins": 123,
  "failed_logins": [
    {
      "id": 123,
      "timestamp": "2023-11-07T05:31:56Z",
      "username": "<string>",
      "user_id": 123,
      "user_agent": "<string>",
      "path": "<string>"
    }
  ]
}

Authorizations

CORGEA-TOKEN
string
header
required

API key for authentication

Query Parameters

page
integer
default:1

The page number for pagination

page_size
integer
default:20

The number of results per page

Required range: x <= 50
from_date
string<date-time>

Only include failed logins after this ISO 8601 timestamp

to_date
string<date-time>

Only include failed logins before this ISO 8601 timestamp

Filter by username

sort
enum<string>
default:desc

Sort order for results

Available options:
asc,
desc

Response

Failed login attempts retrieved successfully

status
string
Example:

"ok"

page
integer
total_pages
integer
total_failed_logins
integer
failed_logins
object[]